#### PyKDE - Python Bindings for KDE

# class KABC |
Table of contents
Modules
kabc Classes
All Classes

Module | kabc
Class | KABC
Inherits |

### classes

- Address
- AddressBook
- AddressLineEdit
- AddresseeDialog
- AddresseeItem
- Agent
- ConsoleErrorHandler
- DistributionList
- DistributionList.Entry
- DistributionListDialog
- DistributionListEditorWidget
- DistributionListManager
- DistributionListWatcher
- EmailSelectDialog
- EmailSelector
- ErrorHandler
- Field
- FieldSortMode
- Format
- FormatFactory
- FormatInfo
- FormatPlugin
- GUIErrorHandler
- Geo
- GuiErrorHandler
- Key
- LDAPUrl
- LDAPUrl.Extension
- LDIF
- LdapClient
- LdapConfigWidget
- LdapObject
- LdapResult
- LdapSearch
- Lock
- LockNull
- NameSortMode
- PhoneNumber
- Picture
- Plugin
- Resource
- Resource
- Resource
- ResourceFile
- ResourceFile
- ResourceSelectDialog
- ResourceSelectDialog
- Secrecy
- SortMode
- Sound
- StdAddressBook
- Ticket
- TimeZone
- VCardConverter
- VCardFormat
- VCardFormatPlugin

### enums

- (anonymous) = {Uid, Name, FormattedName, FamilyName, GivenName }

### methods

- VCardStringToDate (dateString)

  returns (QDateTime)
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  dateString | QString |

- dateToVCardString (date)

  returns (QString)
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  date | QDate |

- dateToVCardString (date)

  returns (QString)
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  date | QDate |